Bug 1646751 (CVE-2018-18314) - CVE-2018-18314 perl: Heap-based buffer overflow in S_regatom()
Summary: CVE-2018-18314 perl: Heap-based buffer overflow in S_regatom()
Status: NEW
Alias: CVE-2018-18314
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20181129,repor...
Keywords: Security
Depends On: 1653520 1653521 1654925 1656293 1654923 1660193 1660196
Blocks: 1646752
TreeView+ depends on / blocked
 
Reported: 2018-11-05 23:00 UTC by Laura Pardo
Modified: 2019-01-25 13:06 UTC (History)
31 users (show)

Fixed In Version: perl 5.26.3, perl 5.28.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0001 None None None 2019-01-02 13:29 UTC
Red Hat Product Errata RHSA-2019:0010 None None None 2019-01-02 16:13 UTC

Description Laura Pardo 2018-11-05 23:00:11 UTC
A flaw was found in Perl versions 5.18 through 5.28. A Heap-based buffer overflow


Upstream Patch:
https://github.com/Perl/perl5/commit/19a498a461d7c81ae3507c450953d1148efecf4f

Comment 1 Doran Moppert 2018-11-23 03:58:00 UTC
Upstream ticket:

https://rt.perl.org/Public/Bug/Display.html?id=131649

Comment 3 Doran Moppert 2018-11-27 03:47:45 UTC
Acknowledgments:

Name: the Perl project
Upstream: Jakub Wilk

Comment 4 Doran Moppert 2018-11-30 03:18:47 UTC
Created perl tracking bugs for this issue:

Affects: fedora-all [bug 1654923]

Comment 6 errata-xmlrpc 2019-01-02 13:29:37 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0001 https://access.redhat.com/errata/RHSA-2019:0001

Comment 7 errata-xmlrpc 2019-01-02 16:13:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2019:0010 https://access.redhat.com/errata/RHSA-2019:0010

Comment 11 Paul Harvey 2019-01-25 13:06:36 UTC
openshift-enterprise-3: notaffected. I reviewed OpenShift containers for applications with dependencies on perl and was unable to identify any where the perl interpreter would be exposed to attacker-controlled regular expressions which could expose this flaw. There is a perl dependency in our MariaDB packaging, however the only non-test related perl usage is in a backup script (mysqlhotcopy) which is not exposed to attacker-controlled regular expressions. I have not filed trackers as these images will inherit the existing perl fixes next time they are respun. See also https://access.redhat.com/articles/2803031


Note You need to log in before you can comment on or make changes to this bug.